When Attempting to Convert a DigitalAssetManager Rendition, Conversion Fails and the Following Error Occurs: .....Version `CXXABI_1.2' not found (Doc ID 1592905.1)

Last updated on AUGUST 10, 2017

Applies to:

Oracle WebCenter Content - Version 11.1.1.6.0 and later
Information in this document applies to any platform.

Symptoms

On : 11.1.1.6.0 version, Digital Asset Management

When attempting to create thumbnail renditions from JPG and GIF files the renditions do not show up on the renditions page and
the following error is shown in the Agent Log

ERROR
-----------------------
Log entry for conversion job '532':
Loading set name 'BasicRenditions'
Writing Search Export resource file.
Launching Search Export
Starting to create the 'Web' rendition of type 'web'
The 'Web' rendition failed. The engine reported the following error:
Finished the 'Web' rendition.
Starting to create the 'Thumbnail' rendition of type 'thumbnail'
The 'Thumbnail' rendition failed. The engine reported the following error: '/u01/app/oracle/product/fmw/wcc/oit/linux/lib/contentaccess//exsimple: /usr/lib/libstdc++.so.5: version `CXXABI_1.2' not found (required by /u01/app/oracle/product/fmw/wcc/oit/linux/lib/contentaccess/libsc_ex.so)
/u01/app/oracle/product/fmw/wcc/oit/linux/lib/contentaccess//exsimple: /usr/lib/libstdc++.so.5: version `CXXABI_1.2' not found (required by /u01/app/oracle/product/fmw/wcc/oit/linux/lib/contentaccess/libsc_da.so)
/u01/app/oracle/product/fmw/wcc/oit/linux/lib/contentaccess//exsimple: /usr/lib/libstdc++.so.5: version `CXXABI_1.2' not found (required by /u01/app/oracle/product/fmw/wcc/oit/linux/lib/contentaccess/libsc_fa.so)
/u01/app/oracle/product/fmw/wcc/oit/linux/lib/contentaccess//exsimple: /usr/lib/libstdc++.so.5: version `CXXABI_1.2' not found (required by /u01/app/oracle/product/fmw/wcc/oit/linux/lib/contentaccess/libsc_ut.so)
/u01/app/oracle/product/fmw/wcc/oit/linux/lib/contentaccess//exsimple: /usr/lib/libstdc++.so.5: version `GLIBCPP_3.2' not found (required by /u01/app/oracle/product/fmw/wcc/oit/linux/lib/contentaccess/libwv_core.so)
/u01/app/oracle/product/fmw/wcc/oit/linux/lib/contentaccess//exsimple: /usr/lib/libstdc++.so.5: version `CXXABI_1.2' not found (required by /u01/app/oracle/product/fmw/wcc/oit/linux/lib/contentaccess/libwv_core.so)
/u01/app/oracle/product/fmw/wcc/oit/linux/lib/contentaccess//exsimple: /usr/lib/libstdc++.so.5: version `CXXABI_1.2' not found (required by /u01/app/oracle/product/fmw/wcc/oit/linux/lib/contentaccess/libsc_fi.so)
/u01/app/oracle/product/fmw/wcc/oit/linux/lib/contentaccess//exsimple: /usr/lib/libstdc++.so.5: version `CXXABI_1.2' not found (required by /u01/app/oracle/product/fmw/wcc/oit/linux/lib/contentaccess/libsc_lo.so)
/u01/app/oracle/product/fmw/wcc/oit/linux/lib/contentaccess//exsimple: /usr/lib/libstdc++.so.5: version `CXXABI_1.2' not found (required by /u01/app/oracle/product/fmw/wcc/oit/linux/lib/contentaccess/libsc_fut.so)'
Finished the 'Thumbnail' rendition.
Starting to create the 'Preview' rendition of type 'preview'
The 'Preview' rendition failed. The engine reported the following error: '/u01/app/oracle/product/fmw/wcc/oit/linux/lib/contentaccess//exsimple: /usr/lib/libstdc++.so.5: version `CXXABI_1.2' not found (required by /u01/app/oracle/product/fmw/wcc/oit/linux/lib/contentaccess/libsc_ex.so)
/u01/app/oracle/product/fmw/wcc/oit/linux/lib/contentaccess//exsimple: /usr/lib/libstdc++.so.5: version `CXXABI_1.2' not found (required by /u01/app/oracle/product/fmw/wcc/oit/linux/lib/contentaccess/libsc_da.so)
/u01/app/oracle/product/fmw/wcc/oit/linux/lib/contentaccess//exsimple: /usr/lib/libstdc++.so.5: version `CXXABI_1.2' not found (required by /u01/app/oracle/product/fmw/wcc/oit/linux/lib/contentaccess/libsc_fa.so)
/u01/app/oracle/product/fmw/wcc/oit/linux/lib/contentaccess//exsimple: /usr/lib/libstdc++.so.5: version `CXXABI_1.2' not found (required by /u01/app/oracle/product/fmw/wcc/oit/linux/lib/contentaccess/libsc_ut.so)
/u01/app/oracle/product/fmw/wcc/oit/linux/lib/contentaccess//exsimple: /usr/lib/libstdc++.so.5: version `GLIBCPP_3.2' not found (required by /u01/app/oracle/product/fmw/wcc/oit/linux/lib/contentaccess/libwv_core.so)
/u01/app/oracle/product/fmw/wcc/oit/linux/lib/contentaccess//exsimple: /usr/lib/libstdc++.so.5: version `CXXABI_1.2' not found (required by /u01/app/oracle/product/fmw/wcc/oit/linux/lib/contentaccess/libwv_core.so)
/u01/app/oracle/product/fmw/wcc/oit/linux/lib/contentaccess//exsimple: /usr/lib/libstdc++.so.5: version `CXXABI_1.2' not found (required by /u01/app/oracle/product/fmw/wcc/


STEPS
-----------------------
The issue can be reproduced at will with the following steps:
1. Set up WCC and IBR 11g per note: DAM - Digital Asset Manager FAQ for Refinery Version 11 (Doc ID 1338422.1)
2. Check in a JPG or GIF file
3. Check Renditions page and see them missing. Also the error in the Agent Log

BUSINESS IMPACT
-----------------------
The issue has the following business impact:
Due to this issue, users cannot use the created renditions

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms